#
# spec file for package dosbootdisk (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils dosemu e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed slang strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           dosbootdisk
BuildRequires:  dosemu
License:        GPL
Group:          System/Boot
Autoreqprov:    on
Summary:        A DOS Boot Disk Based on FreeDOS
Version:        1.1
Release:        53.2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ker2024d.zip
Source1:        mkfloppy.bat
Source2:        dosimg
Source3:        autoexec.bat
Source4:        config.sys
Source5:        dosformat
Source6:        dosbootdisk

%description
A FreeDOS boot disk. It is useful if you need to run a flash program to
update your BIOS.



Authors:
--------
    Steffen Winterfeldt

%debug_package
%prep
%setup -c
test -d kernel || unzip %{SOURCE0}

%build
rm -rf $RPM_BUILD_ROOT
HOME=$RPM_BUILD_ROOT/root
mkdir -p $HOME/.dosemu
touch $HOME/.dosemu/disclaimer
echo "floppy { heads 2 sectors 18 tracks 80 threeinch file $HOME/floppyimage }" >>$HOME/.dosemurc
cp -a kernel %{SOURCE1} %{SOURCE3} %{SOURCE4} $HOME
%{SOURCE2} $HOME/floppyimage
echo | dosemu -dumb -E d:mkfloppy

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/dosbootdisk
install -d -m 755 $RPM_BUILD_ROOT/%{_docdir}/dosbootdisk
gzip -9c $RPM_BUILD_ROOT/root/floppyimage >$RPM_BUILD_ROOT/%{_datadir}/dosbootdisk/floppy.gz
install -m 755 %{_sourcedir}/dosformat $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %{_sourcedir}/dosbootdisk $RPM_BUILD_ROOT/%{_bindir}
rm -rf $RPM_BUILD_ROOT/root

%files
%defattr(-,root,root)
%{_datadir}/dosbootdisk
%{_bindir}/dosformat
%{_bindir}/dosbootdisk

%changelog -n dosbootdisk
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 17 2005 - ro@suse.de
- added slang to nfb
* Thu Aug 18 2005 - snwint@suse.de
- change floppy device name to fd0u1440 (#105446)
* Wed Sep 29 2004 - ro@suse.de
- added check-build.sh
* Sat Apr 24 2004 - sndirsch@suse.de
- fixed neededforbuild (XFree86-libs --> xorg-x11-libs)
* Tue Mar 09 2004 - snwint@suse.de
- fixed for new dosemu
* Sun Feb 22 2004 - ro@suse.de
- added resmgr to neededforbuild
* Tue May 27 2003 - ro@suse.de
- fix setup to work also with rpm4 (can handle zip archives)
* Mon Mar 03 2003 - ro@suse.de
- added slang to neededforbuild
* Wed Jan 08 2003 - ro@suse.de
- added freetype2 to neededforbuild
* Mon Nov 11 2002 - ro@suse.de
- updated neededforbuild after xf86-rename
* Sun Feb 10 2002 - sndirsch@suse.de
- dosbootdisk/dosformat now query the user if he wants to continue
  before beginning to format the floppy
* Sun Jan 27 2002 - sndirsch@suse.de
- added 'dosbootdisk' script, which may be used by kfloppy for
  creating a FreeDOS bootdisk
* Mon Jan 07 2002 - ro@suse.de
- added libusb to neededforbuild
* Wed Sep 05 2001 - sndirsch@suse.de
- added script 'dosformat' for creating FreeDOS bootdisk
* Mon Aug 27 2001 - snwint@suse.de
- created initial version
